package com.mdd.admin.validate.channel;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.io.Serializable;
import org.hibernate.validator.constraints.Length;

@ApiModel("小程序渠道参数")
public class ChannelMpValidate implements Serializable {
   private static final long serialVersionUID = 1L;
   @ApiModelProperty("小程序名称")
   private @Length(
   max = 100,
   message = "小程序名称不能超100个字符"
) String name = "";
   @ApiModelProperty("原始ID")
   private @Length(
   max = 100,
   message = "原始ID不能超100个字符"
) String primaryId = "";
   @ApiModelProperty("appId")
   private @Length(
   max = 100,
   message = "appId不能超100个字符"
) String appId = "";
   @ApiModelProperty("appSecret")
   private @Length(
   max = 200,
   message = "appSecret不能超100个字符"
) String appSecret = "";
   @ApiModelProperty("二维码")
   private @Length(
   max = 300,
   message = "小程序码不能超300个字符"
) String qrCode = "";

   public String getName() {
      return this.name;
   }

   public String getPrimaryId() {
      return this.primaryId;
   }

   public String getAppId() {
      return this.appId;
   }

   public String getAppSecret() {
      return this.appSecret;
   }

   public String getQrCode() {
      return this.qrCode;
   }

   public void setName(String name) {
      this.name = name;
   }

   public void setPrimaryId(String primaryId) {
      this.primaryId = primaryId;
   }

   public void setAppId(String appId) {
      this.appId = appId;
   }

   public void setAppSecret(String appSecret) {
      this.appSecret = appSecret;
   }

   public void setQrCode(String qrCode) {
      this.qrCode = qrCode;
   }

   public boolean equals(Object o) {
      if (o == this) {
         return true;
      } else if (!(o instanceof ChannelMpValidate)) {
         return false;
      } else {
         ChannelMpValidate other = (ChannelMpValidate)o;
         if (!other.canEqual(this)) {
            return false;
         } else {
            label71: {
               Object this$name = this.getName();
               Object other$name = other.getName();
               if (this$name == null) {
                  if (other$name == null) {
                     break label71;
                  }
               } else if (this$name.equals(other$name)) {
                  break label71;
               }

               return false;
            }

            Object this$primaryId = this.getPrimaryId();
            Object other$primaryId = other.getPrimaryId();
            if (this$primaryId == null) {
               if (other$primaryId != null) {
                  return false;
               }
            } else if (!this$primaryId.equals(other$primaryId)) {
               return false;
            }

            label57: {
               Object this$appId = this.getAppId();
               Object other$appId = other.getAppId();
               if (this$appId == null) {
                  if (other$appId == null) {
                     break label57;
                  }
               } else if (this$appId.equals(other$appId)) {
                  break label57;
               }

               return false;
            }

            Object this$appSecret = this.getAppSecret();
            Object other$appSecret = other.getAppSecret();
            if (this$appSecret == null) {
               if (other$appSecret != null) {
                  return false;
               }
            } else if (!this$appSecret.equals(other$appSecret)) {
               return false;
            }

            Object this$qrCode = this.getQrCode();
            Object other$qrCode = other.getQrCode();
            if (this$qrCode == null) {
               if (other$qrCode == null) {
                  return true;
               }
            } else if (this$qrCode.equals(other$qrCode)) {
               return true;
            }

            return false;
         }
      }
   }

   protected boolean canEqual(Object other) {
      return other instanceof ChannelMpValidate;
   }

   public int hashCode() {
      int PRIME = true;
      int result = 1;
      Object $name = this.getName();
      result = result * 59 + ($name == null ? 43 : $name.hashCode());
      Object $primaryId = this.getPrimaryId();
      result = result * 59 + ($primaryId == null ? 43 : $primaryId.hashCode());
      Object $appId = this.getAppId();
      result = result * 59 + ($appId == null ? 43 : $appId.hashCode());
      Object $appSecret = this.getAppSecret();
      result = result * 59 + ($appSecret == null ? 43 : $appSecret.hashCode());
      Object $qrCode = this.getQrCode();
      result = result * 59 + ($qrCode == null ? 43 : $qrCode.hashCode());
      return result;
   }

   public String toString() {
      return "ChannelMpValidate(name=" + this.getName() + ", primaryId=" + this.getPrimaryId() + ", appId=" + this.getAppId() + ", appSecret=" + this.getAppSecret() + ", qrCode=" + this.getQrCode() + ")";
   }
}
